#header {
    height: 660px;
    background-color: var(--bs-body-bg); /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color);
    transition: background-color 0.3s, color 0.3s; /* Smooth transition */
}

[data-bs-theme="dark"] #header
 {
    background-color: var(--bs-body-bg); /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color);
}

#header-image {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('../../images/pages/opportunities/opportunities_background_img.jpg');
    background-size: cover;
    background-position: center;
    position: relative;
}

.bg-change {
    background-color: var(--bs-body-bg); /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color);
    transition: background-color 0.3s, color 0.3s; /* Smooth transition */
}

[data-bs-theme="dark"] .bg-change
 {
    background-color: var(--bs-body-bg); /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color);
}

.card-height {
    height: 380px;
}

.card-img {
    background-size: cover;
    background-position: center;
    height: 190px;
}

.card-text-section, #our-programs-card
{
    color: black;
}

[data-bs-theme="dark"] .card-text-section, #our-programs-card
{
    background-color: var(--bs-body-bg); /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color);
}

.card-button {
    border: .5px solid black;
    transition: .5s ease-in-out;
}

.card-button:hover {
    background-color: black;
    color: white;
}

[data-bs-theme="dark"]  .card-button {
    border: .5px solid white;
}

[data-bs-theme="dark"]  .card-button:hover {
    background-color: white;
    color: black;
}

.post-date {
    background-color: rgb(66, 66, 66);
    color: azure;
    font-size: small;
    padding: 2px 8px;
    border-radius: 5px;
    
}

/* select2 modoficaitons */

[data-bs-theme="dark"] .select2-selection {
    background-color: var(--bs-body-bg) !important; /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color) !important;
    border-color: gray !important;
}

[data-bs-theme="dark"] .select2-search__field {
    background-color: var(--bs-body-bg) !important; /* Uses Bootstrap's theme variable */
    color: var(--bs-body-color) !important;
}

[data-bs-theme="dark"] .select2-container--default .select2-results__option:hover {
    background-color: #0056b3 !important;
    color: white !important;
}

[data-bs-theme="dark"] .select2-selection__choice__remove:hover {
    color: white;
}

[data-bs-theme="dark"] .select2-selection__choice__display {
    color: white;
    padding-left: 5px;
}

[data-bs-theme="dark"] .select2-container--default .select2-results__option--selected {
    background-color: #007bff !important; /* Blue */
    color: white !important;
}

[data-bs-theme="dark"] .select2-container--default .select2-results__option {
    color: black !important;
}

/* Change color when selected */
[data-bs-theme="dark"] .select2-container--default .select2-results__option[aria-selected="true"] {
    color: white !important; /* White text */
}

.card-box{
    width: 300px;
}

.introduction-text{
    font-size: 15px;
    font-weight: 300;
    padding: 10px 0px 0px 0px;
}

.button-text {
    font-size: 10px;
}

@media (max-width: 768px) {
    .card-height {
        height: 320px;
    }

    .card-box{
        width: 200px;
    }

    .introduction-text{
        font-size: 12px;
        font-weight: 300;
        padding: 10px 0px 0px 0px;
    }
    
    .button-text {
        font-size: 7px;
    }

    .multi-line-ellipsis {
        display: -webkit-box;
        -webkit-line-clamp: 3 ;  /* Limit to 2 lines */
        -webkit-box-orient: vertical;
        overflow: hidden;
    }
}

@media (min-width: 768px) { 
    #header p {
        width: 50%;
    }
}
